Subject: Re: FVWM: Title bar title changing

From: [email-masked] (Ken Dickerson)
Date: Tue, 28 May 96 08:31:54 PDT

I have attached our messages below for reference. I tried the prompt you
suggested, to no avail! The escape sequence for changing title bar and icon 
name is the same that I had been using prior to FVWM. You use prompt changes, 
I used an echo in an aliased cd. In FVWM, I cannot get the escape sequence to 
change the title bar and icon name. I go back to my original question, why
isn't the Xterm Control Sequences supported in FVWM????

> 
> >>>>> "Ken" == Ken Dickerson <[email-masked]> writes:
> 
> Ken; I am new to this list, so forgive me if this question has been asked and/or
> Ken; beaten to death. I have newly started using fvwm. One of the things I was
> Ken; doing when I was in Motif, was to use the Xterm Control Sequences to change
> Ken; the icon name and window title. I would like to continue doing that in fvwm,
> Ken; but have found that the same sequences do not affect the title. Is there
> Ken; any simple way I can change the title via a script or alias? I need to
> Ken; change it frequently. Are there different sequences used for fvwm that I
> Ken; can get a hold of?
> 
> To add to this thread: If you use tcsh version 6 or higher, here's
> a neat way to set xterm's title & icon in one fell swoop. 
> 
> Please note that the '^g' is literally '^' and 'g'. tcsh will
> replace it with CTRL-G; '\e' is escape, and again tcsh will do the
> substitution.
> 
> Enjoy.
> 
> ---------------------- cut & paste ------------------
> # Snippets from Amir's .tcshrc
> 
> if ("$tcsh" == "1") then
>    set TCSH_VERSION = 5
> else
>    set TCSH_VERSION = `echo $tcsh | awk -F. '{print $1}'`  # Should give 6
> endif
> 
> if ($TCSH_VERSION >= 6) then
>    # all kinds of things ...
>    # ...
>    set prompt = '%M:%U%~%u [%h]%# '  # include underlined dir, home as '~'
> endif
> 
> if ("$TERM" == "xterm") then
>    # Install 'host: dir' in xterm titlebar and 'host' in icon name
>    set prompt = "%{\e]2\;%m: %/^g\e]1;%m^g\r%}""$prompt"
> endif
> 
> # The end.
> ---------------------- cut & paste ------------------
> 
> 
> /* Amir J. Katz  E-mail: [email-masked]   URL: http://www.ndsoft.com */
> /* New Dimension Software, LTD., Tel-Aviv, Israel                    */
> /* .. I busted a mirror and got seven years bad luck, but my       ..*/
> /* .. lawyer thinks he can get me five.        (Steven Wright)     ..*/
> 
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: <[email-masked]> (Charles Hines)
Date: Tue, 28 May 1996 12:17:22 -0400

>>>>> "Ken" == Ken Dickerson <[email-masked]> writes:

Ken> I have attached our messages below for reference. I tried the
Ken> prompt you suggested, to no avail! The escape sequence for
Ken> changing title bar and icon name is the same that I had been
Ken> using prior to FVWM. You use prompt changes, I used an echo in an
Ken> aliased cd. In FVWM, I cannot get the escape sequence to change
Ken> the title bar and icon name. I go back to my original question,
Ken> why isn't the Xterm Control Sequences supported in FVWM????

FVWM *DOES* support program 'Name' & 'Icon Name' changes to change the
titlebar and icon names respectively (see HandlePropertyNotify in
events.c), which is all XTerm does when it sees those esc sequences
(it changes the XA_WM_NAME and XA_WM_ICON_NAME property values for the
window that it creates), which FVWM should then get notified of the
change and update the titlebar.  XEmacs also updates it's 'Name' &
'Icon Name' information to up

I (and many others as you've noticed) have had no problems with this,
so I suspect something else going on in your system that's
interferring here.  Not sure what to tell you to help figure it out
though - sorry.

Chuck

*******************************************************************************
Charles K. Hines <[email-masked]>
IBM Logic Synthesis Developer [BooleDozer (TM)]
Martial Arts Instructor [Modern Arnis, Presas Style Filipino Martial Arts]

         "Go back to sleep, Chuck.  You're just havin' a nightmare
             -- of course, we ARE still in Hell." (Gary Larson)
*******************************************************************************
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].